## org.exist.util.serializer
Class XHTMLWriter

    java.lang.Object
      org.exist.util.serializer.XMLWriter
          org.exist.util.serializer.IndentingXMLWriter
              org.exist.util.serializer.XHTMLWriter

public class XHTMLWriter
extends IndentingXMLWriter

Author:
  wolf

Constructor Summary
`XHTMLWriter()`
`XHTMLWriter(java.io.Writer writer)`

Method Summary
`void` `startElement(QName qname)`
`void` `startElement(java.lang.String qname)`

Methods inherited from class org.exist.util.serializer.IndentingXMLWriter
`characters, comment, documentType, endElement, endElement, processingInstruction, setOutputProperties, setWriter`

Methods inherited from class org.exist.util.serializer.XMLWriter
`attribute, attribute, cdataSection, characters, endDocument, namespace, setDefaultNamespace, startDocument`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLWriter

    public XHTMLWriter()

### XHTMLWriter

    public XHTMLWriter(java.io.Writer writer)

Parameters:
  `writer` -

Method Detail

### startElement

    public void startElement(QName qname)
                      throws javax.xml.transform.TransformerException

  Overrides:
    `startElement` in class `IndentingXMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

### startElement

    public void startElement(java.lang.String qname)
                      throws javax.xml.transform.TransformerException

  Overrides:
    `startElement` in class `IndentingXMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

Copyright (C) Wolfgang Meier. All rights reserved.